/*
 * Copyright 2002 Sun Microsystems, Inc.  All rights reserved.
 *
 * Use is subject to the GNU Lesser General Public License, Version 2.1,
 * February 1999, which is contained in the read-me file named
 * "README_GNU_LGPL." This library is free software; you can
 * redistribute it and/or modify it under the terms of the GNU
 * Lesser General Public License as published by the Free Software
 * Foundation; either version 2.1 of the License, or (at your
 * option) any later version. This library is distributed in the
 * hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA  02111-1307  USA.
 *
 * link status functions */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/ioctl.h>
#include "lcdutils.h"
#include "lcd_private.h"

int lcd_checklink(void *lcd_private) {
	struct lcd_private *lcd = lcd_private;
	
	if (!lcd || (lcd->fd < 0)) 
		return -1;
	
	lcd->display.buttons = 0;
	ioctl(lcd->fd,LINK_Check,&lcd->display);
	return lcd->display.buttons & 0x04;
}

int lcd_checklink2(void *lcd_private, int *buttons) {
	struct lcd_private *lcd = lcd_private;
	int i;
	
	if (!lcd || (lcd->fd < 0)) 
		return -1;
	
	lcd->display.buttons =  (buttons) ? *buttons : 0;
	if ((i = ioctl(lcd->fd,LINK_Check_2,&lcd->display)) < 0)
		return i;
	
	if (buttons)
		*buttons = lcd->display.buttons; 
	return 0;
}

